Moose::Autobox::Indexed(3)

NAME
Moose::Autobox::Indexed - the Indexed role

DESCRIPTION
This is a role to describes an collection whose values can be accessed by a key of some kind.

The role is entirely abstract, those which implement it must supply all it's methods. Currently both Moose::Autobox::Array and Moose::Autobox::Hash implement this role.

METHODS

meta

REQUIRED METHODS
at
put
exists
keys
values
kv
slice
each
each_key
each_value

BUGS
All complex software has bugs lurking in it, and this module is no exception. If you find a bug please either email me, or add the bug to cpan-RT.

AUTHOR
Stevan Little <stevan@iinteractive.com>

COPYRIGHT AND LICENSE
Copyright 2006-2008 by Infinity Interactive, Inc.

<http://www.iinteractive.com>

This library is free software; you can redistribute it and/or modify it under the same terms as Perl itself.